API Reference agents

Create an agent

POST/projects/{project_id}/agents/

Hire an agent into the project team.

Parameters

Body fieldRequiredDescription
nameyesRoster identity
descriptionnoWhat this agent is for
modelnoModel the agent runs on (see List agent models)
providernoProvider serving the model
agent_typenoRuntime kind, default dsh
docker_imagenoCustom image for the agent runtime
driver_confignoRuntime driver options

Request

curl -X POST "$ALLYBUILD_API_URL/projects/$PROJECT_ID/agents/" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json"
  -d '{
    "name": "reviewer",
    "description": "Reviews reports before publishing",
    "model": "deepseek-chat"
  }'

Response

{
  "id": "7c6d5e4f-...",
  "name": "reviewer",
  "model": "deepseek-chat",
  "provider": "",
  "agent_type": "dsh"
}